Bug 2034659 - OSTree repository update error: `excludes` is not a valid attribute in `PulpOstreeClient::OstreeOstreeRemote`
Summary: OSTree repository update error: `excludes` is not a valid attribute in `PulpO...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.11.0
Assignee: Ryan Verdile
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-12-21 15:58 UTC by Justin Sherrill
Modified: 2022-06-23 14:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34187 0 Normal Ready For Testing OSTree repository update error: `excludes` is not a valid attribute in `PulpOstreeClient::OstreeOstreeRemote` 2022-01-05 14:45:48 UTC

Description Justin Sherrill 2021-12-21 15:58:38 UTC

Comment 1 Justin Sherrill 2021-12-21 15:58:42 UTC
Created from redmine issue https://projects.theforeman.org/issues/34187

Comment 2 Justin Sherrill 2021-12-21 15:58:43 UTC
Upstream bug assigned to None

Comment 3 Bryan Kearney 2022-01-06 16:05:06 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/34187 has been resolved.

Comment 5 jcallaha 2022-04-28 15:26:33 UTC
Verified in Satellite 6.11 Snap 18

Steps:
1. Enable the ostree content plugin via satellite installer
2. Create a new repository
  2a. Set the content type to ostree
  2b. Set the upstream URL as https://fixtures.pulpproject.org/ostree/small/
3. Sync the repository

Results:
The repository both created and synced correctly.

Synchronize
User: admin
Started At: Apr 28, 11:21 AM
Finished At: Apr 28, 11:21 AM
Parameters: repository 'small ostree' ; product 'ostree test' ; organization 'Default Organization'
State: stopped
Result: success
Details:
Added Ostree refs: 2
Total steps: 16/16
--------------------------------
Associating Content: 9/9
Downloading Artifacts: 6/6
Parsing Metadata: 1/1
Un-Associating Content: 0/0


Note You need to log in before you can comment on or make changes to this bug.